AcctTypeName
Perform various operations for Symitar parameters.
Operations
Retrieve AcctTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getAcctTypeName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 160
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
},
"AcctTypeNameAcctType": 1
}Successful operation.
{
"AcctTypeName": {
"Description": "Senior Savor Account",
"AcctType": 1
},
"MessageId": "getAcctTypeName"
}Retrieve AcctTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getAcctTypeNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 220
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"AcctTypeNameAcctType": 0,
"SelectableFields": {
"IncludeAllAcctTypeNameFields": true
}
}Successful operation.
{
"AcctTypeName": {
"AcctType": 0,
"Description": "General Membership Account"
},
"MessageId": "getAcctTypeNameSelectFields"
}Retrieve AcctTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getAcctTypeNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 214
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
}
}Successful operation.
{
"AcctTypeName": [
{
"Description": "General Membership Account",
"AcctType": 0
}
],
"Token": "{paging-token}",
"MessageId": "getAcctTypeNamePagedList"
}Retrieve AcctTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getAcctTypeNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 195
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllAcctTypeNameFields": true
}
}Successful operation.
{
"AcctTypeNameList": [],
"MessageId": "getAcctTypeNameListSelectFields"
}Search AcctTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchAcctTypeNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 233
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllAcctTypeNameFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"AcctTypeNameList": [],
"MessageId": "searchAcctTypeNameSelectFields"
}Retrieve AcctTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getAcctTypeNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 274
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllAcctTypeNameFields": true
}
}Successful operation.
{
"AcctTypeName": [
{
"AcctType": 0,
"Description": "General Membership Account"
}
],
"Token": "{paging-token}",
"MessageId": "getAcctTypeNamePagedListSelectFields"
}Search AcctTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchAcctTypeNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 285
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"Query": "",
"SelectableFields": {
"IncludeAllAcctTypeNameFields": true
}
}Successful operation.
{
"AcctTypeName": [
{
"AcctType": 0,
"Description": "General Membership Account"
}
],
"Token": "{paging-token}",
"MessageId": "searchAcctTypeNamePagedSelectFields"
}Update AcctTypeName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Successful operation.
POST /nexum/627/2022.01/parameter/updateAcctTypeNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 231
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AcctTypeNameAcctType": 1,
"AcctTypeNameUpdatableFields": {
"Type": 0,
"Description": "NEXUM EXAMPLE"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateAcctTypeNameByID"
}Last updated
Was this helpful?